<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:16 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TimeFactory (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TimeFactory (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TimeFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedValueSpecification.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimeFactory.html" target="_top">Frames</a></li>
<li><a href="TimeFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_Foundations.Time</div>
<h2 title="Interface TimeFactory" class="title">Interface TimeFactory</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/TimeFactoryImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl">TimeFactoryImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">TimeFactory</span>
extends org.eclipse.emf.ecore.EFactory</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Factory</b> for the model.
 It provides a create method for each non-abstract class of the model.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time"><code>TimePackage</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimeFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimeFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimeFactory.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the factory.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">Clock</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimeFactory.html#createClock--">createClock</a></span>()</code>
<div class="block">Returns a new object of class '<em>Clock</em>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/ClockConstraint.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">ClockConstraint</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimeFactory.html#createClockConstraint--">createClockConstraint</a></span>()</code>
<div class="block">Returns a new object of class '<em>Clock Constraint</em>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/ClockType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">ClockType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimeFactory.html#createClockType--">createClockType</a></span>()</code>
<div class="block">Returns a new object of class '<em>Clock Type</em>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedConstraint.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedConstraint</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimeFactory.html#createTimedConstraint--">createTimedConstraint</a></span>()</code>
<div class="block">Returns a new object of class '<em>Timed Constraint</em>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedDomain.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedDomain</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimeFactory.html#createTimedDomain--">createTimedDomain</a></span>()</code>
<div class="block">Returns a new object of class '<em>Timed Domain</em>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedDurationObservation.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedDurationObservation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimeFactory.html#createTimedDurationObservation--">createTimedDurationObservation</a></span>()</code>
<div class="block">Returns a new object of class '<em>Timed Duration Observation</em>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedEvent</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimeFactory.html#createTimedEvent--">createTimedEvent</a></span>()</code>
<div class="block">Returns a new object of class '<em>Timed Event</em>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedInstantObservation.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedInstantObservation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimeFactory.html#createTimedInstantObservation--">createTimedInstantObservation</a></span>()</code>
<div class="block">Returns a new object of class '<em>Timed Instant Observation</em>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedProcessing</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimeFactory.html#createTimedProcessing--">createTimedProcessing</a></span>()</code>
<div class="block">Returns a new object of class '<em>Timed Processing</em>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedValueSpecification.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedValueSpecification</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimeFactory.html#createTimedValueSpecification--">createTimedValueSpecification</a></span>()</code>
<div class="block">Returns a new object of class '<em>Timed Value Specification</em>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimePackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimeFactory.html#getTimePackage--">getTimePackage</a></span>()</code>
<div class="block">Returns the package supported by this factory.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EFactory">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EFactory</h3>
<code>convertToString, create, createFromString, getEPackage, setEPackage</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eINSTANCE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>eINSTANCE</h4>
<pre>static final&nbsp;<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimeFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimeFactory</a> eINSTANCE</pre>
<div class="block">The singleton instance of the factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createTimedDomain--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTimedDomain</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedDomain.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedDomain</a>&nbsp;createTimedDomain()</pre>
<div class="block">Returns a new object of class '<em>Timed Domain</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Timed Domain</em>'.</dd>
</dl>
</li>
</ul>
<a name="createClock--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createClock</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">Clock</a>&nbsp;createClock()</pre>
<div class="block">Returns a new object of class '<em>Clock</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Clock</em>'.</dd>
</dl>
</li>
</ul>
<a name="createClockType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createClockType</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/ClockType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">ClockType</a>&nbsp;createClockType()</pre>
<div class="block">Returns a new object of class '<em>Clock Type</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Clock Type</em>'.</dd>
</dl>
</li>
</ul>
<a name="createTimedValueSpecification--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTimedValueSpecification</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedValueSpecification.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedValueSpecification</a>&nbsp;createTimedValueSpecification()</pre>
<div class="block">Returns a new object of class '<em>Timed Value Specification</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Timed Value Specification</em>'.</dd>
</dl>
</li>
</ul>
<a name="createTimedConstraint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTimedConstraint</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedConstraint.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedConstraint</a>&nbsp;createTimedConstraint()</pre>
<div class="block">Returns a new object of class '<em>Timed Constraint</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Timed Constraint</em>'.</dd>
</dl>
</li>
</ul>
<a name="createClockConstraint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createClockConstraint</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/ClockConstraint.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">ClockConstraint</a>&nbsp;createClockConstraint()</pre>
<div class="block">Returns a new object of class '<em>Clock Constraint</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Clock Constraint</em>'.</dd>
</dl>
</li>
</ul>
<a name="createTimedInstantObservation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTimedInstantObservation</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedInstantObservation.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedInstantObservation</a>&nbsp;createTimedInstantObservation()</pre>
<div class="block">Returns a new object of class '<em>Timed Instant Observation</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Timed Instant Observation</em>'.</dd>
</dl>
</li>
</ul>
<a name="createTimedDurationObservation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTimedDurationObservation</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedDurationObservation.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedDurationObservation</a>&nbsp;createTimedDurationObservation()</pre>
<div class="block">Returns a new object of class '<em>Timed Duration Observation</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Timed Duration Observation</em>'.</dd>
</dl>
</li>
</ul>
<a name="createTimedEvent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTimedEvent</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedEvent</a>&nbsp;createTimedEvent()</pre>
<div class="block">Returns a new object of class '<em>Timed Event</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Timed Event</em>'.</dd>
</dl>
</li>
</ul>
<a name="createTimedProcessing--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTimedProcessing</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedProcessing</a>&nbsp;createTimedProcessing()</pre>
<div class="block">Returns a new object of class '<em>Timed Processing</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Timed Processing</em>'.</dd>
</dl>
</li>
</ul>
<a name="getTimePackage--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getTimePackage</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimePackage</a>&nbsp;getTimePackage()</pre>
<div class="block">Returns the package supported by this factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the package supported by this factory.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TimeFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedValueSpecification.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimeFactory.html" target="_top">Frames</a></li>
<li><a href="TimeFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
